﻿using System.Windows;
using ThinkGeo.Core;

namespace GeoPdfDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void MapView_OnLoaded(object sender, RoutedEventArgs e)
        {
            mapView.MapUnit = GeographyUnit.DecimalDegree;

            var layer = new GeoPdfFeatureLayer(@"..\..\..\data\bangalore.pdf");
            
            layer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyle.CreateSimpleLineStyle(GeoColors.Black, 1, true);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            var overlay = new LayerOverlay();
            overlay.Layers.Add(layer);

            mapView.Overlays.Add(overlay);

            layer.Open();
            mapView.CurrentExtent = layer.GetBoundingBox();
            mapView.Refresh();
        }
    }
}
